Loading...
Searching...
No Matches
lxc_lock Struct Reference

`#include <lxclock.h>`

## Data Fields

short | type
union { |
sem_t * sem |
struct { |
int fd |
char * fname |
} f |
} | u |

## Detailed Description

LXC Lock

## Field Documentation

## [struct]

struct { ... } lxc_lock::f

LXC_LOCK_FLOCK details

## fd

int lxc_lock::fd

fd on which a lock is held (if not -1)

## fname

char* lxc_lock::fname

Name of lock

## sem

sem_t* lxc_lock::sem

Anonymous semaphore (LXC_LOCK_ANON_SEM)

## type

short lxc_lock::type

Lock type

## [union]

union { ... } lxc_lock::u

Container for lock type elements

The documentation for this struct was generated from the following file:

- lxclock.h